For the complete documentation index, see llms.txt. This page is also available as Markdown.

Policy (Slurm)

Cedana API for policies (Slurm)

List maintenance windows

get

Returns all maintenance windows

Authorizations
Responses
200

Returns all SLURM maintenance windows

application/json
cluster_idstring · nullableOptional

Cluster the window was synced from; None for manually created windows

created_atstring · nullableOptional
end_timestring · nullableOptional
idstring · nullableOptional
namestring · nullableOptional

Reservation name; set for windows synced from the cluster

nodesstring[] · nullableOptional
partitionsstring[] · nullableOptional
reasonstring · nullableOptional
start_timestring · nullableOptional
statusstring · nullableOptional
get/v1/slurm/maintenance_window
GET /v1/slurm/maintenance_window HTTP/1.1
Accept: */*
[
  {
    "cluster_id": null,
    "created_at": null,
    "end_time": null,
    "id": null,
    "name": null,
    "nodes": [
      "text"
    ],
    "partitions": [
      "text"
    ],
    "reason": null,
    "start_time": null,
    "status": null
  }
]

Create maintenance window

post

Creates a new maintenance window for SLURM clusters

Authorizations
Body
end_timestring · date-timeRequired
nodesstring[] · nullableOptional
partitionsstring[] · nullableOptional
reasonstringRequired
start_timestring · date-timeRequired
statusstring · nullableOptional
Responses
201

Returns the maintenance window id for the new maintenance window

text/plain
stringOptional
post/v1/slurm/maintenance_window
POST /v1/slurm/maintenance_window HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 148

{
  "end_time": "2026-01-01T00:00:00.000Z",
  "nodes": [
    "text"
  ],
  "partitions": [
    "text"
  ],
  "reason": "text",
  "start_time": "2026-01-01T00:00:00.000Z",
  "status": null
}
<uuid-v4-here>

Sync SLURM maintenance windows

post

Receives the full set of maintenance reservations for a cluster from the cedana-slurm plugin and upserts them by name. Windows previously synced for the cluster that are missing from the payload are marked 'ended'.

Authorizations
Body
cluster_idstring · uuidRequired
Responses
200

Maintenance windows synced successfully

text/plain
stringOptional
post/v1/slurm/maintenance_window/sync
POST /v1/slurm/maintenance_window/sync HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 271

{
  "cluster_id": "123e4567-e89b-12d3-a456-426614174000",
  "maintenance_windows": [
    {
      "end_time": "2026-01-01T00:00:00.000Z",
      "flags": [
        "text"
      ],
      "metadata": null,
      "name": "text",
      "nodes": [
        "text"
      ],
      "partitions": [
        "text"
      ],
      "reason": null,
      "start_time": "2026-01-01T00:00:00.000Z",
      "status": null
    }
  ]
}
text

Get maintenance window

get

Returns a specific maintenance window by ID

Authorizations
Path parameters
idstringRequired
Responses
200

Returns the maintenance window

application/json
cluster_idstring · nullableOptional

Cluster the window was synced from; None for manually created windows

created_atstring · nullableOptional
end_timestring · nullableOptional
idstring · nullableOptional
namestring · nullableOptional

Reservation name; set for windows synced from the cluster

nodesstring[] · nullableOptional
partitionsstring[] · nullableOptional
reasonstring · nullableOptional
start_timestring · nullableOptional
statusstring · nullableOptional
get/v1/slurm/maintenance_window/{id}
GET /v1/slurm/maintenance_window/{id} HTTP/1.1
Accept: */*
{
  "cluster_id": null,
  "created_at": null,
  "end_time": null,
  "id": null,
  "name": null,
  "nodes": [
    "text"
  ],
  "partitions": [
    "text"
  ],
  "reason": null,
  "start_time": null,
  "status": null
}

Update maintenance window

put

Updates an existing maintenance window

Authorizations
Path parameters
idstringRequired
Body
end_timestring · nullableOptional
nodesstring[] · nullableOptional
partitionsstring[] · nullableOptional
reasonstring · nullableOptional
start_timestring · nullableOptional
statusstring · nullableOptional
Responses
200

Successfully updated maintenance window and returns id

text/plain
stringOptional
put/v1/slurm/maintenance_window/{id}
PUT /v1/slurm/maintenance_window/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "end_time": null,
  "nodes": [
    "text"
  ],
  "partitions": [
    "text"
  ],
  "reason": null,
  "start_time": null,
  "status": null
}
<uuid-for-maintenance-window>

Delete maintenance window

delete

Deletes a maintenance window by ID

Authorizations
Path parameters
idstringRequired
Responses
200

Successfully deleted maintenance window and returns id

text/plain
stringOptional
delete/v1/slurm/maintenance_window/{id}
DELETE /v1/slurm/maintenance_window/{id} HTTP/1.1
Accept: */*
<uuid-for-maintenance-window>

Last updated

Was this helpful?